Bug 145520 - security/clamav python required 2.5.5? or threaded python?
Summary: security/clamav python required 2.5.5? or threaded python?
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Renato Botelho
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-04-08 19:10 UTC by Michael Scheidell
Modified: 2010-05-28 16:00 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Scheidell 2010-04-08 19:10:03 UTC
attempting to build security/clamav (marked priority serious since there is a security bug open on clamav 95.3)

stops building with this error: .


PASS: llvmunittest_JIT
GNU Make 3.81
Copyright (C) 2006  Free Software Foundation, Inc.
This is free software; see the source for copying conditions.
There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE.

This program built for amd64-portbld-freebsd7.1
Python 2.5.4
gmake: Entering directory `/var/jails/basejail/usr/ports/security/clamav/work/clamav-0.96/libclamav/c++/llvm'
llvm[0]: Running test suite
gmake[1]: Entering directory `/var/jails/basejail/usr/ports/security/clamav/work/clamav-0.96/libclamav/c++/llvm/test'
Making a new site.exp file...
Making LLVM 'lit.site.cfg' file...
Making LLVM unittest 'lit.site.cfg' file...
( ulimit -t 600 ; ulimit -d 512000 ; ulimit -m 512000 ; ulimit -v 512000 ; \
	  /var/jails/basejail/usr/ports/security/clamav/work/clamav-0.96/libclamav/c++/llvm/utils/lit/lit.py -s -v --no-tcl-as-sh CodeGen ExecutionEngine Integer Verifier )
Traceback (most recent call last):
  File "/var/jails/basejail/usr/ports/security/clamav/work/clamav-0.96/libclamav/c++/llvm/utils/lit/lit.py", line 4, in <module>
    import lit
  File "/var/jails/basejail/usr/ports/security/clamav/work/clamav-0.96/libclamav/c++/llvm/utils/lit/lit/__init__.py", line 3, in <module>
    from lit import main
  File "/var/jails/basejail/usr/ports/security/clamav/work/clamav-0.96/libclamav/c++/llvm/utils/lit/lit/lit.py", line 9, in <module>
    import math, os, platform, random, re, sys, time, threading, traceback
  File "/usr/local/lib/python2.5/threading.py", line 6, in <module>
    import thread
ImportError: No module named thread
gmake[1]: *** [check-local-lit] Error 1
gmake[1]: Leaving directory `/var/jails/basejail/usr/ports/security/clamav/work/clamav-0.96/libclamav/c++/llvm/test'
gmake: *** [check-lit] Error 2
gmake: Leaving directory `/var/jails/basejail/usr/ports/security/clamav/work/clamav-0.96/libclamav/c++/llvm'
FAIL: llvmcheck.sh
=======================================
1 of 6 tests failed
Please report to http://bugs.clamav.net
=======================================
*** Error code 1

pkg_info | grep python
python25-2.5.4_1    An interpreted object-oriented programming language

(make config in ../lang/python25 shows it was NOT compiled with threads)

Fix: 

upgrade to python 2.5.5 with thread support?
 or disable JIT compiler
(make BATCH=1 WITH_UNZOO=1 WITH_UNRAR=1 WITH_ARC=1 WITH_ARJ=1 WITH_LHA=1 WITH_ICONV=1 WITHOUT_LLVM=1 )



not sure how to make makefile depend on python with threads.
How-To-Repeat: make BATCH=1 WITH_UNZOO=1 WITH_UNRAR=1 WITH_ARC=1 WITH_ARJ=1 WITH_LHA=1 WITH_ICONV=1 WITH_LLVM=1
Comment 1 Edwin Groothuis freebsd_committer 2010-04-08 19:10:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->garga

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2010-04-12 13:54:05 UTC
garga       2010-04-12 12:53:52 UTC

  FreeBSD ports repository

  Modified files:
    security/clamav      Makefile 
  Log:
  Unit tests require python built with thread support, disable make check when
  local python doesn't have this
  
  PR:             ports/145520
  Submitted by:   Michael Scheidell <scheidell at secnap.net>
  
  Revision  Changes    Path
  1.139     +17 -1     ports/security/clamav/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Renato Botelho freebsd_committer 2010-04-12 13:54:14 UTC
State Changed
From-To: open->closed

Fixed. Thanks!
Comment 4 dfilter service freebsd_committer 2010-04-12 13:57:06 UTC
garga       2010-04-12 12:56:56 UTC

  FreeBSD ports repository

  Modified files:
    security/clamav-devel Makefile 
  Log:
  Unit tests require python built with thread support, disable make check when
  local python doesn't have this
  
  PR:             ports/145520
  Submitted by:   Michael Scheidell <scheidell at secnap.net>
  
  Revision  Changes    Path
  1.183     +17 -1     ports/security/clamav-devel/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Michael Scheidell 2010-05-28 15:53:45 UTC
suggest reopen?

python (without threads) and clamav .96.1 with with LLVM (needs python 
with threading!)

still fails. it doesn't look like the Makefile patch that tests for 
threading stops or does any warning.

still get this:
aking a new site.exp file...
Making LLVM 'lit.site.cfg' file...
Making LLVM unittest 'lit.site.cfg' file...
( ulimit -t 600 ; ulimit -d 512000 ; ulimit -m 512000 ; ulimit -v 512000 ; \
       
/usr/ports/security/clamav/work/clamav-0.96.1/libclamav/c++/llvm/utils/lit/lit.py 
-s -v --no-tcl-as-sh CodeGen ExecutionEngine Integer Verifier )
Traceback (most recent call last):
   File 
"/usr/ports/security/clamav/work/clamav-0.96.1/libclamav/c++/llvm/utils/lit/lit.py", 
line 4, in <module>
     import lit
   File 
"/mnt/encrypted/zolw/ClamAV/clamav-devel/libclamav/c++/llvm/utils/lit/lit/__init__.py", 
line 3, in <module>
   File 
"/usr/ports/security/clamav/work/clamav-0.96.1/libclamav/c++/llvm/utils/lit/lit.py", 
line 9, in <module>

   File "/usr/local/lib/python2.5/threading.py", line 6, in <module>
     import thread
ImportError: No module named thread
gmake[1]: *** [check-local-lit] Error 1
gmake[1]: Leaving directory 
`/usr/ports/security/clamav/work/clamav-0.96.1/libclamav/c++/llvm/test'
gmake: *** [check-lit] Error 2
gmake: Leaving directory 
`/usr/ports/security/clamav/work/clamav-0.96.1/libclamav/c++/llvm'
FAIL: llvmcheck.sh
=======================================
1 of 6 tests failed
Please report to http://bugs.clamav.net
=======================================
*** Error code 1


  cd work
ionspam# ls
.configure_done.clamav._usr_local    .patch_done.clamav._usr_local    
     clamav-0.96.1
.extract_done.clamav._usr_local        .python-has-no-threads

OS 7.3, intel 386.

If I take take the test out (the > os ver 7) it seems to work (it 
compiles and doesn't run the test)


I am curious though. do we NEED python with threaded support to make 
this work (clamav work, not the test) or is is just the test that files

this patch and it will build: (ps, why -march=486 in Makefile .  I think 
gcc 4.2 recommends -march=native and -mtune=generic


diff -bBru /tmp/Makefile Makefile
--- /tmp/Makefile    2010-05-21 12:28:24.000000000 +0000
+++ Makefile    2010-05-28 14:40:38.000000000 +0000
@@ -211,13 +211,6 @@
      fi
  .endif

-.if ${OSVERSION} >= 700000
-post-build:
-    @if [ -f "${PY_NO_THREAD}" ]; then \
-        ${MAKE} -C ${WRKSRC} check; \
-    fi
-.endif
-
  pre-su-install:
      @${SETENV} PKG_PREFIX=${PREFIX} ${SH} ${PKGINSTALL} ${PKGNAME} 
PRE-INSTALL



-- 
Michael Scheidell, CTO
Phone: 561-999-5000, x 1259
 > *| *SECNAP Network Security Corporation

    * Certified SNORT Integrator
    * 2008-9 Hot Company Award Winner, World Executive Alliance
    * Five-Star Partner Program 2009, VARBusiness
    * Best Anti-Spam Product 2008, Network Products Guide
    * King of Spam Filters, SC Magazine 2008

______________________________________________________________________
This email has been scanned and certified safe by SpammerTrap(r). 
For Information please see http://www.secnap.com/products/spammertrap/
______________________________________________________________________